Page MenuHomePhabricator

tests/genlist: add behavior testing for nearly all genlist events
ClosedPublic

Authored by zmike on Oct 25 2019, 7:22 AM.

Details

Summary

this simulates a number of user interactions to ensure that various
functionalities of genlist actually work, including but not limited to:

  • selection
  • highlighting
  • item focus
  • scrolling
  • filtering
  • dragging
  • item reordering

ref T8433

Depends on D10544

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Oct 25 2019, 7:22 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Oct 25 2019, 7:22 AM
zmike updated this revision to Diff 26403.Oct 25 2019, 10:24 AM
zmike edited the summary of this revision. (Show Details)

don't rely on renders for event tests which don't trigger them

This is breaking travis somehow, still working on getting it to be consistent enough to land...

zmike updated this revision to Diff 26415.Oct 25 2019, 12:34 PM
zmike edited the summary of this revision. (Show Details)

tweak item move test coords to pass on CI

bu5hm4n accepted this revision.Oct 27 2019, 9:02 AM
bu5hm4n added a subscriber: bu5hm4n.

Sounds good i guess ?

This revision is now accepted and ready to land.Oct 27 2019, 9:02 AM
bu5hm4n requested changes to this revision.Oct 29 2019, 6:19 AM

Mhm ... does not pass here.

This revision now requires changes to proceed.Oct 29 2019, 6:19 AM
zmike updated this revision to Diff 26475.Oct 29 2019, 7:22 AM
zmike edited the summary of this revision. (Show Details)

verify either moved,after OR moved,before since this is not precise

zmike updated this revision to Diff 26476.Oct 29 2019, 7:26 AM

add missing assert

bu5hm4n accepted this revision.Oct 29 2019, 8:10 AM
This revision is now accepted and ready to land.Oct 29 2019, 8:10 AM
Closed by commit rEFL9878a0cad45a: tests/genlist: add behavior testing for nearly all genlist events (authored by zmike, committed by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyOct 29 2019, 8:17 AM
This revision was automatically updated to reflect the committed changes.